        SUBROUTINE GSPOLY(X,Y,N)
        IMPLICIT NONE
        REAL*4 X(2),Y(2)
        INTEGER N,I
C
C       DIGLIB POLYGON SUPPORT
C
        CALL GSMOVE(X(N),Y(N))
        DO 100 I = 1, N
                CALL GSDRAW(X(I),Y(I))
100             CONTINUE
        RETURN
        END
